net.sf.jasperreports.engine

## Interface JRPrintElement

- All Superinterfaces:
    JRCommonElement, JRIdentifiable, JRPropertiesHolder, JRStyleContainer
  All Known Subinterfaces:
    JRGenericPrintElement, JRPrintEllipse, JRPrintFrame, JRPrintGraphicElement, JRPrintImage, JRPrintLine, JRPrintRectangle, JRPrintText, JRRecordedValuesPrintElement
  All Known Implementing Classes:
    JRBaseGenericPrintElement, JRBasePrintElement, JRBasePrintEllipse, JRBasePrintFrame, JRBasePrintGraphicElement, JRBasePrintImage, JRBasePrintLine, JRBasePrintRectangle, JRBasePrintText, JRRecordedValuesGenericPrintElement, JRRecordedValuesPrintImage, JRRecordedValuesPrintText, JRTemplateGenericPrintElement, JRTemplatePrintElement, JRTemplatePrintEllipse, JRTemplatePrintFrame, JRTemplatePrintGraphicElement, JRTemplatePrintImage, JRTemplatePrintLine, JRTemplatePrintRectangle, JRTemplatePrintText

      public interface JRPrintElement
      extends JRCommonElement, JRPropertiesHolder, JRIdentifiable

  Version:
    $Id: JRPrintElement.java 6770 2013-11-22 14:48:55Z lucianc $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `UNSET_PRINT_ELEMENT_ID`
    `static int` | `UNSET_SOURCE_ELEMENT_ID` A value used when no source element Id information is available.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> void` | `accept(PrintElementVisitor<T> visitor, T arg)` Accepts a print element visitor.
    `int` | `getHeight()`
    `java.lang.String` | `getKey()` Returns a string key that can be used to identify the element.
    `JROrigin` | `getOrigin()`
    `int` | `getPrintElementId()` Returns a numerical Id that together with `getSourceElementId()` uniquely identifies a print element.
    `int` | `getSourceElementId()` Returns a numerical Id associated to the fill element that generated this print element.
    `int` | `getWidth()`
    `int` | `getX()`
    `int` | `getY()`
    `void` | `setHeight(int height)`
    `void` | `setStyle(JRStyle style)`
    `void` | `setUUID(java.util.UUID uuid)`
    `void` | `setWidth(int width)`
    `void` | `setX(int x)`
    `void` | `setY(int y)`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

- - ### Field Detail

    - #### UNSET_SOURCE_ELEMENT_ID

          static final int UNSET_SOURCE_ELEMENT_ID

      A value used when no source element Id information is available.
      See Also:
        `getSourceElementId()`, Constant Field Values

    - #### UNSET_PRINT_ELEMENT_ID

          static final int UNSET_PRINT_ELEMENT_ID

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getOrigin

          JROrigin getOrigin()

    - #### setStyle

          void setStyle(JRStyle style)

    - #### getX

          int getX()

    - #### setUUID

          void setUUID(java.util.UUID uuid)

    - #### setX

          void setX(int x)

    - #### getY

          int getY()

    - #### setY

          void setY(int y)

    - #### getWidth

          int getWidth()

      Specified by:
        `getWidth` in interface `JRCommonElement`

    - #### setWidth

          void setWidth(int width)

    - #### getHeight

          int getHeight()

      Specified by:
        `getHeight` in interface `JRCommonElement`

    - #### setHeight

          void setHeight(int height)

    - #### getKey

          java.lang.String getKey()

      Returns a string key that can be used to identify the element.

      When filling a report, the `report element key` is copied to all print elements generated by a report element. Note that this means that multiple elements having the same key can appear on the same page/filled report.

      Specified by:
        `getKey` in interface `JRCommonElement`

    - #### accept

          <T> void accept(PrintElementVisitor<T> visitor,
                        T arg)

      Accepts a print element visitor.

      The element calls the method that corresponds to the element type on the visitor.

      Type Parameters:
        `T` - the type of the argument passed to the visit operation
      Parameters:
        `visitor` - the visitor objects
        `arg` - the argument passed to the visit operation

    - #### getSourceElementId

          int getSourceElementId()

      Returns a numerical Id associated to the fill element that generated this print element.
      Returns:
        the Id of the fill element that generated this element

    - #### getPrintElementId

          int getPrintElementId()

      Returns a numerical Id that together with `getSourceElementId()` uniquely identifies a print element.
      Returns:
        a print Id for the element
      See Also:
        `PrintElementId`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com